/*
 *
 * Copyright 2007 Andrey Kholmanskih. All rights reserved.
 */
package tutorial.jdbreport;

import java.net.URL;
import java.util.HashMap;
import java.util.Map;

public abstract class SampleItem {

	public abstract void run();

	public abstract String getTemplate();

	public abstract String getCaption();

	private String getTemplatePath() {
		return "/tutorial/template/";
	}

	private String getSourcePath() {
		return "src/tutorial/jdbreport/";
	}

	public String getSource() {
		return getSourcePath() + getClass().getSimpleName() + ".java";
	}

	public URL getTemplateURL() {
		return getClass().getResource(getTemplatePath() + getTemplate());
	}

	public String toString() {
		return getCaption();
	}
	
	protected Map<String, Object> createDataSetMap(String id, Object ds) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put(id, ds);
		return map;
	}
}
