/*
 *
 * Copyright 2009 Andrey Kholmanskih. All rights reserved.
 */

package tutorial.jdbreport;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import tutorial.jdbreport.helper.Test;

import jdbreport.model.io.LoadReportException;
import jdbreport.util.Utils;

/**
 * @version 1.0 15.08.2009
 * @author Andrey Kholmanskih
 * 
 */
public class SheetsReport extends SampleItem {

	final Object[][] data = {
			{ "Zhenya", "Albers", "green", "Brazil", new Double(44.0),
					"strawberry" },
			{ "Victoria", "Verzilina", "blue", "Curse of the Demon", new Double(3),
					"grapes" },
			{ "Maria", "Parcker", "black", "The Blues Brothers",
					new Double(2.7182818285), "raspberry" },
			{ "Lara", "Bunny", "red", "Airplane (the whole series)",
					new Double(15), "strawberry" },
			{ "Mike", "Black", "blue", "The Man Who Knew Too Much",
					new Double(13), "peach" },
			{ "Andrew", "Falls", "black", "Blade Runner (Director's Cut)",
					new Double(23), "broccoli" },
			{ "Luck", "Burov", "darkgreen", "Brazil", new Double(27),
					"asparagus" },
			{ "Lucy", "Weeler", "blue", "The Lady Vanishes", new Double(8),
					"kiwi" },
			{ "Ewan", "Spears", "yellow", "A Bug's Life", new Double(2),
					"strawberry" },
			{ "Katerina", "Koshkina", "darkred", "Reservoir Dogs",
					new Double(3), "raspberry" },
			{ "Lev", "Zykin", "brightred", "Jules et Jim", new Double(5),
					"raspberry" },
			{ "Daria", "White", "blue", "Pulp Fiction", new Double(3),
					"watermelon" },
			{ "Kristina", "Kholmanskih", "pink",
					"Blade Runner (Director's Cut)", new Double(21), "donut" },
			{ "Stefany", "Carrot", "blue", "Chusingura (1962)", new Double(8),
					"pear" },
			{ "Julia", "Petelina", "green", "My Life as a Dog", new Double(7),
					"onion" },
			{ "Jim", "Shilov", "gray", "None", new Double(13), "grapes" } };


	private List<Test> testList;

	private void initTestList() {
		testList = new ArrayList<Test>();
		for (int i = 0; i < data.length; i++) {
			Test test = new Test((String) data[i][0], (String) data[i][1],
					(String) data[i][2], (String) data[i][3],
					(Double) data[i][4], (String) data[i][5]);
			testList.add(test);
		}
	}


	public static void main(String[] args) {
		SheetsReport report = new SheetsReport();
		report.run();
	}

	@Override
	public String getCaption() {
		return "Many sheets";
	}

	@Override
	public String getTemplate() {
		return "sheetsreport.jdbr";
	}

	@Override
	public void run() {
		initTestList();
		try {

			Map<String, Object> dsList =createDataSetMap("test", testList);
			dsList.put("test2", testList);
			dsList.put("test3", testList);
			jdbreport.JDBReport.showReport(getTemplateURL(), dsList);
			 
		} catch (LoadReportException e) {
			Utils.showError(e);
		}
	}

}
